package org.springblade.person.feign;


import org.springblade.person.entity.ElderlyPeople;
import org.springblade.person.vo.ElderlyPeopleVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class ElderlyPeopleClientFallback implements IElderlyPeopleClient {
            /**
         * 详情
         */
        @Override
        public ElderlyPeopleVO detail(ElderlyPeople elderlyPeople) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<ElderlyPeopleVO> list(ElderlyPeople elderlyPeople) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( ElderlyPeople elderlyPeople) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( ElderlyPeople elderlyPeople) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( ElderlyPeople elderlyPeople) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

		/**
		 * 根据parentId获取详情
		 * @param parentId
		 * @return
		 */
		@Override
		public ElderlyPeopleVO detailByParentId(Long parentId) {
			return null;
		}
    }
